petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSortedMPIInt

Determines whether the array is sorted.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortedMPIInt(PetscInt n,const PetscMPIInt X[],PetscBool *sorted)

Not Collective

### Input Parameters

| n | - number of values
| X | - array of integers

### Output Parameters

sorted -flag whether the array is sorted

### See Also

PetscSortMPIInt(), PetscSortedInt(), PetscSortedReal()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages